com.amazon.redshift.util

## Class RedshiftException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - com.amazon.redshift.util.RedshiftException

All Implemented Interfaces:
  Serializable, Iterable<Throwable>

    public class RedshiftException
    extends SQLException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RedshiftException(ServerErrorMessage serverError)`
`RedshiftException(ServerErrorMessage serverError, boolean detail)`
`RedshiftException(String msg)`
`RedshiftException(String msg, RedshiftState state)`
`RedshiftException(String msg, RedshiftState state, Throwable cause)`
`RedshiftException(String msg, RedshiftState state, Throwable cause, RedshiftLogger logger)`
`RedshiftException(String msg, Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ServerErrorMessage` `getServerErrorMessage()`
`SQLException` `getSQLException()`

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### RedshiftException

    public RedshiftException(String msg,
                             RedshiftState state,
                             Throwable cause,
                             RedshiftLogger logger)

#### RedshiftException

    public RedshiftException(String msg,
                             RedshiftState state,
                             Throwable cause)

#### RedshiftException

    public RedshiftException(String msg,
                             RedshiftState state)

#### RedshiftException

    public RedshiftException(String msg,
                             Throwable cause)

#### RedshiftException

    public RedshiftException(String msg)

#### RedshiftException

    public RedshiftException(ServerErrorMessage serverError)

#### RedshiftException

    public RedshiftException(ServerErrorMessage serverError,
                             boolean detail)

### Method Detail

#### getServerErrorMessage

    public ServerErrorMessage getServerErrorMessage()

#### getSQLException

    public SQLException getSQLException()